## ros-indigo-rospilot-deps 0.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rospilot_deps)
find_package(catkin 
	REQUIRED COMPONENTS 
		image_transport 
		roscpp 
		std_msgs 
		sensor_msgs 
        camera_info_manager)
find_package(PkgConfig REQUIRED)
find_package(catkin REQUIRED COMPONENTS roscpp std_msgs roslib cv_bridge image_transport)
find_package(OpenCV REQUIRED)
find_package(Boost REQUIRED COMPONENTS thread)
pkg_check_modules(libavcodec REQUIRED libavcodec)
pkg_check_modules(libswscale REQUIRED libswscale)

set(ROS_BUILD_TYPE Release)

set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)

catkin_package(
	INCLUDE_DIRS include
    LIBRARIES ${PROJECT_NAME}
	CATKIN_DEPENDS
		image_transport 
		roscpp 
		std_msgs 
		sensor_msgs
        camera_info_manager
)

catkin_python_setup()

include_directories(include
                    ${catkin_INCLUDE_DIRS}
                    ${libavcodec_INCLUDE_DIRS}
                    ${libswscale_INCLUDE_DIRS}
)
add_library(rospilot_deps
	src/usb_cam.cpp
    src/v4l2-mfc-encoder/mfc.c
    src/v4l2-mfc-encoder/func_dev.c
    src/v4l2-mfc-encoder/v4l_dev.c
    src/v4l2-mfc-encoder/io_dev.c
)
target_link_libraries(rospilot_deps ${libavcodec_LIBRARIES} ${libswscale_LIBRARIES} ${catkin_LIBRARIES})

add_executable(raw_usb_cam_node nodes/raw_usb_cam_node.cpp)
target_link_libraries(raw_usb_cam_node rospilot_deps ${libavcodec_LIBRARIES} ${libswscale_LIBRARIES} ${catkin_LIBRARIES})
add_executable(raw_mjpeg_server src/raw_mjpeg_server.cpp)
target_link_libraries(raw_mjpeg_server
  ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${OpenCV_LIBS}
)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS raw_usb_cam_node
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)
install(TARGETS raw_mjpeg_server
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(TARGETS rospilot_deps 
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
   FILES_MATCHING PATTERN "*.h" PATTERN "*.hpp"
)

=== debian/changelog ===
ros-indigo-rospilot-deps (0.0.7-1trusty) trusty; urgency=high

  * Add Exynos MFC library
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 01 Mar 2015 08:00:00 -0000

ros-indigo-rospilot-deps (0.0.6-1trusty) trusty; urgency=high

  * Fix library and header exports
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 01 Feb 2015 08:00:00 -0000

ros-indigo-rospilot-deps (0.0.5-1trusty) trusty; urgency=high

  * Add missing files
  * Make gitignore less aggressive
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 05 Jul 2014 07:00:00 -0000

ros-indigo-rospilot-deps (0.0.4-1trusty) trusty; urgency=high

  * Fix setup.py to export all pymavlink packages
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 28 Jun 2014 07:00:00 -0000

ros-indigo-rospilot-deps (0.0.3-1trusty) trusty; urgency=high

  * Include source for pymavlink
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 15 Jun 2014 07:00:00 -0000

ros-indigo-rospilot-deps (0.0.2-1trusty) trusty; urgency=high

  * Use PkgConfig to find avcodec and swscale
  * Contributors: Christopher Berner, Scott K Logan

 -- Christopher Berner <christopherberner@gmail.com>  Tue, 10 Jun 2014 07:00:00 -0000

ros-indigo-rospilot-deps (0.0.1-1trusty) trusty; urgency=high

  * Allow changing camera device path while cam node is running
  * Improve error handling in raw_usb_cam_node
    Print an error message and retry, instead of exiting the process
  * Fix compiler error
  * Remove self_test dependency
  * Initial commit
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 01 Jun 2014 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-rospilot-deps
Section: misc
Priority: extra
Maintainer: Christopher Berner <christopherberner@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libavcodec-dev, libavformat-dev, libavutil-dev, libswscale-dev, ros-indigo-camera-info-manager, ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-image-transport, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-rospilot-deps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libavcodec-dev, libavformat-dev, libavutil-dev, libswscale-dev, ros-indigo-camera-info-manager, ros-indigo-cv-bridge, ros-indigo-image-transport, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Description: Forked dependencies of Rospilot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rospilot-deps//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
